
Prior to the experience, I was under a lot of stress but I was not physically ill. One day whilst at work and sitting at my desk, I felt my eyes roll back and couldn't talk but was screaming within for someone to see me and help me. It was too quick and I woke up in hospital. I underwent all sorts of tests but the doctors found no reason for my episode. It was a freak incident and never happened again. It was a stressful experience after the event.

About a week after the event, I started remembering an event that was so clear in my mind and it felt so real. It was not like a dream but like a real experience. Here it is.

I felt light, weightless. I felt no stress or pain. I was elevating up into the sky. It was night. There were stars and moonlight. There were other people, lots of souls being elevated into the sky with me. I was not scared. I got to the opening of a long big tunnel. It was dark inside the tunnel but there was a light at the end. It was too far away. At the opening of the tunnel, an old man with a white beard was inspecting the souls and letting people through. But some people needed to go back. When it was my turn, he said to me in Arabic, 'It is too early for you. You haven't finished yet.' Then he threw me back down to earth. That was all I can remember.

I don't know when I had that experience exactly. All I know is it was at least a week or so after my unexplained collapse that I recalled the experience. I remember calling my mum and telling what is in my mind. My mum is a religious, spiritual lady. She said to me that it obviously was not my time yet and that I must have had a near death experience. It was like nothing I experienced before and I questioned myself so much before I told anyone about this. I guess if others experience similar experiences then I haven't lost my mind and this could be real.
